Best way to play FF-VII & CupHead from OFW 5.0.1

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by derekmerlin, Apr 26, 2019.

  1. derekmerlin
    OP

    derekmerlin Member

    Newcomer
    3
    Aug 1, 2006
    United States
    Hello GBATempers,

    I'm a happy SXOS user on OFW 5.0.1 with no EmuNAND installed. I want to play some of the "newer" (at least for me) games on my Switch but I'm increasingly confused about what to do. I understand the use of ChoidujeurNX, but it is not clear to me if I necessarily need to install EmuNAND (I want to keep my setup a simple as possible). I never play online, so that is not needed for me and therefore my Switch is not banned.
    I appreciate your recommendation about the route to follow in order to play FF-VII, Cuphead and Civilization on my Switch.

    Thanks!

    derekmerlin
     
  2. stephrk398

    stephrk398 GBAtemp Fan

    Member
    5
    May 29, 2018
    United States
    You need to update your FW to play the latest games. Both the games you named require FW 6.2. Emunand isn't needed, especially if you don't go online. At least that's how I feel. The latest compatible CFW is Atmosphere which now has FW 8.0 support. I'm personally still on FW 6.2 with SX because I can currently play the games that I'm interested in, but some new games are beginning to require 7.x FW.
     
    derekmerlin likes this.
  3. cheungpakwan

    cheungpakwan GBAtemp Regular

    Member
    3
    Sep 14, 2009
    United States
    use nsc builder to patch into lower firmware,
    nsc builder need keys.txt

    you can google it : switch keys.txt
     
    derekmerlin likes this.
  4. tomi1578

    tomi1578 GBAtemp Regular

    Member
    3
    Sep 12, 2018
    Israel
    wont work on 5.0.1

    — Posts automatically merged - Please don't double post! —

    just update to 7.0.1 with choi
     
    derekmerlin and mikefor20 like this.
  5. Philliyxx

    Philliyxx GBAtemp Regular

    Member
    3
    Sep 21, 2018
    United States
    Cuphead will work on 5.1 if patched, FF7 will not.
     
    derekmerlin likes this.
  6. tomi1578

    tomi1578 GBAtemp Regular

    Member
    3
    Sep 12, 2018
    Israel
    5.0.1 not 5.1
     
    derekmerlin likes this.
  7. derekmerlin
    OP

    derekmerlin Member

    Newcomer
    3
    Aug 1, 2006
    United States
    Thanks a lot for such a quick reply! SXOS works well on both (6.2.0 and 7.0.1)?
    I understand that as long as I have Auto RCM (Which I do) I can go back and forth between OFW versions. Am I missing something?
    Otherwise I will jump to 6.0.2 and then to 7.0.1 with the SysNAND backups in between.
    Thanks again!
     
  8. tomi1578

    tomi1578 GBAtemp Regular

    Member
    3
    Sep 12, 2018
    Israel
    jump straight to 7.0.1
     
    derekmerlin likes this.
  9. derekmerlin
    OP

    derekmerlin Member

    Newcomer
    3
    Aug 1, 2006
    United States
    SXOS works well in. 7.0.1? I look for this fact but it is not clear to me. Thanks!
     
    mikefor20 likes this.
  10. tomi1578

    tomi1578 GBAtemp Regular

    Member
    3
    Sep 12, 2018
    Israel
    yes it works well
     
    derekmerlin and mikefor20 like this.
  11. xFlesk

    xFlesk Member

    Newcomer
    3
    Jun 11, 2018
    Netherlands
    ofw 3.0.1, cfw emunand 7.0.1. no problem ;)
     
    derekmerlin, mikefor20 and Hayato213 like this.
  12. derekmerlin
    OP

    derekmerlin Member

    Newcomer
    3
    Aug 1, 2006
    United States
    Thank you tom1578, and xflesk. Sorry for one more question, SXOS works well on OFW 7.0.1? No EmuNAND… With this, I will go forward and post my results. I cant thank you enough.

    DMerlin
     
  13. pLaYeR^^

    pLaYeR^^ リザードン

    Member
    7
    GBAtemp Patron
    pLaYeR^^ is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Sep 18, 2014
    Austria
    Austria
    Yes it works well.
     
    derekmerlin and The Real Jdbye like this.
  14. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    18
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Mar 17, 2010
    Norway
    Alola
    Newer games can be re-encrypted for older FW, but it's not really worth the hassle when it's not necessary.
     
  15. derekmerlin
    OP

    derekmerlin Member

    Newcomer
    3
    Aug 1, 2006
    United States
    What worries me a lot about. 7.0.1 is that there are posts that say that SXOS has problems. With this FW versión.
    But I will start with 6.0.2

    Thanks again!
    DM
     
  16. derekmerlin
    OP

    derekmerlin Member

    Newcomer
    3
    Aug 1, 2006
    United States
    Success!

    I followed the ChoidujeurNX instructions and upgraded to FW 6.2.0 and it worked like a charm!
    I also checked the fuses before and after the upgrade with Hekate and it didn't blow any fuses during the update process.

    Thanks a lot for all the support given.

    DerekMerlin

    MySwitch.
     
  17. tomi1578

    tomi1578 GBAtemp Regular

    Member
    3
    Sep 12, 2018
    Israel
    why not 7.0.1?
     
  18. ZachyCatGames

    ZachyCatGames GBAtemp Advanced Maniac

    Member
    8
    Jun 19, 2018
    United States
    Hell
    5.0.2 and 5.1.0 didn’t change much afaik
     
  19. DaFixer

    DaFixer Dare to be stupid

    Member
    4
    Aug 29, 2010
    Netherlands
    In my mencave ;)
    Also witch the update?
     
  20. DaveLister

    DaveLister GBAtemp Advanced Fan

    Member
    5
    Apr 27, 2018
    Afghanistan
    lv426
    Stoned , three beers and a vindaloo.
     
Loading...